## libkf5mailcommon 21.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "5.19.3")

project(mailcommon VERSION ${PIM_VERSION})

set(KF5_MIN_VERSION "5.87.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)

include(ECMSetupVersion)
include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)
include(ECMAddQch)


option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

set(QT_REQUIRED_VERSION "5.15.2")

set(MAILCOMMON_LIB_VERSION ${PIM_VERSION})
set(AKONADIMIME_LIB_VERSION "5.19.3")
set(AKONADICONTACT_LIB_VERSION "5.19.3")
set(MESSAGELIB_LIB_VERSION "5.19.3")
set(KMIME_LIB_VERSION "5.19.3")
set(KMAILTRANSPORT_LIB_VERSION "5.19.3")
set(MAILIMPORTER_LIB_VERSION "5.19.3")
set(LIBKDEPIM_LIB_VERSION "5.19.3")
set(PIMCOMMON_LIB_VERSION "5.19.3")

set(PHONON_LIB_VERSION "4.10.60")
set(AKONADI_VERSION "5.19.3")

find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets DBus Test Xml)

find_package(KF5Archive ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Completion ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5ConfigWidgets ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5IconThemes ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5ItemModels ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5ItemViews ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5TextWidgets ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5WidgetsAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5XmlGui ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5DBusAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5SyntaxHighlighting ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5GuiAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)

find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiMime ${AKONADIMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MailImporter ${MAILIMPORTER_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MessageComposer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MessageList ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MessageCore ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MessageViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5TemplateParser ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(Phonon4Qt5 ${PHONON_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiContact ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)

option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")

ecm_setup_version(PROJECT VARIABLE_PREFIX MAILCOMMON
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/mailcommon_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5MailCommonConfigVersion.cmake"
                        SOVERSION 5
)


########### Targets ###########
remove_definitions( -DQT_NO_CAST_FROM_ASCII )

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()


add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055800)

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5MailCommon")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5MailCommonConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5MailCommonConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5MailCommonConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5MailCommonConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5MailCommonTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5MailCommonTargets.cmake NAMESPACE KF5::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/mailcommon_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)

add_subdirectory(src)
if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5MailCommon_QCH
        FILE KF5MailCommonQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5MailCommonQchTargets.cmake\")")
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

add_akonadi_isolated_test(foldertreewidgettest.cpp)
target_link_libraries(foldertreewidgettest KF5::Mime KF5::AkonadiWidgets KF5::MailCommon)

add_akonadi_isolated_test(favoritestest.cpp)
target_link_libraries(favoritestest KF5::Mime KF5::AkonadiWidgets KF5::MailCommon)

=== src/CMakeLists.txt ===

add_definitions(-DTRANSLATION_DOMAIN=\"libmailcommon\")

#add_definitions( -DQT_NO_CAST_FROM_ASCII )
#add_definitions( -DQT_NO_CAST_TO_ASCII )

if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif()



kconfig_add_kcfg_files(libmailcommon_SRCS
    settings/mailcommonsettings_base.kcfgc
)


ecm_qt_declare_logging_category(libmailcommon_SRCS HEADER mailcommon_debug.h IDENTIFIER MAILCOMMON_LOG CATEGORY_NAME org.kde.pim.mailcommon
        OLD_CATEGORY_NAMES log_mailcommon
        DESCRIPTION "mailcommon (mailcommon)" EXPORT MAILCOMMON)

set_source_files_properties(${CMAKE_CURRENT_SOURCE_DIR}/dbusinterfaces/org.freedesktop.Akonadi.MailFilterAgent.xml PROPERTIES INCLUDE "dbusoperators.h")

qt_add_dbus_interfaces(libmailcommon_SRCS
  ${CMAKE_CURRENT_SOURCE_DIR}/dbusinterfaces/org.freedesktop.Akonadi.MailFilterAgent.xml
)

ki18n_wrap_ui(libmailcommon_SRCS filter/ui/filterconfigwidget.ui snippets/ui/snippetwidget.ui filter/ui/selectthunderbirdfilterfileswidget.ui)

set(libmailcommon_SRCS ${libmailcommon_SRCS} filter/soundtestwidget.cpp)

macro(add_resource_iface _kcfgFile _ifaceName _className)
  kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/${_kcfgFile} ${_ifaceName})
  string(TOLOWER ${_className} _codeFile)
  qt_add_dbus_interface(libmailcommon_SRCS
    ${CMAKE_CURRENT_BINARY_DIR}/${_ifaceName}.xml ${_codeFile} ${_className}
  )
endmacro()

add_resource_iface(settings.kcfg org.kde.Akonadi.POP3.Settings Pop3Settings)

qt_add_dbus_interfaces(libmailcommon_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/dbusinterfaces/org.kde.Korganizer.Calendar.xml
)

add_library(KF5MailCommon)

add_library(KF5::MailCommon ALIAS KF5MailCommon)

target_sources(KF5MailCommon PRIVATE
    filter/kmfilteraccountlist.cpp
    filter/kmfilterlistbox.cpp
    filter/filterselectiondialog.cpp
    filter/filterconverter/filterconverttosieve.cpp
    filter/filterconverter/filterconverttosieveresultdialog.cpp
    filter/filterconverter/filterconverttosievepurposemenuwidget.cpp
    filter/filteractions/filteraction.cpp
    filter/filteractions/filteractionaddheader.cpp
    filter/filteractions/filteractionaddtag.cpp
    filter/filteractions/filteractionaddtoaddressbook.cpp
    filter/filteractions/filteractioncopy.cpp
    filter/filteractions/filteractiondecrypt.cpp
    filter/filteractions/filteractiondelete.cpp
    filter/filteractions/filteractiondict.cpp
    filter/filteractions/filteractionencrypt.cpp
    filter/filteractions/filteractionexec.cpp
    filter/filteractions/filteractionforward.cpp
    filter/filteractions/filteractionmove.cpp
    filter/filteractions/filteractionpipethrough.cpp
    filter/filteractions/filteractionplaysound.cpp
    filter/filteractions/filteractionredirect.cpp
    filter/filteractions/filteractionremoveheader.cpp
    filter/filteractions/filteractionreplyto.cpp
    filter/filteractions/filteractionrewriteheader.cpp
    filter/filteractions/filteractionsendfakedisposition.cpp
    filter/filteractions/filteractionsendreceipt.cpp
    filter/filteractions/filteractionsetidentity.cpp
    filter/filteractions/filteractionsetstatus.cpp
    filter/filteractions/filteractionstatus.cpp
    filter/filteractions/filteractionunsetstatus.cpp
    filter/filteractions/filteractionsettransport.cpp
    filter/filteractions/filteractionwidget.cpp
    filter/filteractions/filteractionwithaddress.cpp
    filter/filteractions/filteractionwithcommand.cpp
    filter/filteractions/filteractionwithcrypto.cpp
    filter/filteractions/filteractionwithfolder.cpp
    filter/filteractions/filteractionwithnone.cpp
    filter/filteractions/filteractionwithstring.cpp
    filter/filteractions/filteractionwithstringlist.cpp
    filter/filteractions/filteractionwithtest.cpp
    filter/filteractions/filteractionwithuoid.cpp
    filter/filteractions/filteractionwithurl.cpp
    filter/filterimporterexporter.cpp
    filter/filterimporter/filterimporterabstract.cpp
    filter/filterimporter/filterimporterevolution.cpp
    filter/filterimporter/filterimportersylpheed.cpp
    filter/filterimporter/filterimporterthunderbird.cpp
    filter/filterimporter/filterimporterprocmail.cpp
    filter/filterimporter/filterimporterbalsa.cpp
    filter/filterimporter/filterimporterclawsmail.cpp
    filter/filterimporter/filterimportergmail.cpp
    filter/filterlog.cpp
    filter/filtermanager.cpp
    filter/itemcontext.cpp
    filter/kmfilterdialog.cpp
    filter/mailfilter.cpp
    filter/mdnadvicedialog.cpp
    filter/filterimporterpathcache.cpp
    filter/dialog/selectthunderbirdfilterfilesdialog.cpp
    filter/dialog/selectthunderbirdfilterfileswidget.cpp
    filter/dialog/filteractionmissingfolderdialog.cpp
    filter/dialog/filteractionmissingsoundurldialog.cpp
    filter/dialog/filteractionmissingtagdialog.cpp
    filter/dialog/filteractionmissingaccountdialog.cpp
    filter/dialog/filteractionmissingtemplatedialog.cpp
    filter/dialog/filteractionmissingtransportdialog.cpp
    filter/dialog/filteractionmissingidentitydialog.cpp
    filter/invalidfilters/invalidfilterdialog.cpp
    filter/invalidfilters/invalidfilterlistview.cpp
    filter/invalidfilters/invalidfilterwidget.cpp
    filter/invalidfilters/invalidfilterinfo.cpp
    filter/invalidfilters/invalidfilterlistitemdelegate.cpp
    filter/invalidfilters/invalidfilterlistmodel.cpp
    filter/invalidfilters/invalidfilterinfowidget.cpp
    collectionpage/attributeregistrar.cpp
    collectionpage/collectiongeneralpage.cpp
    collectionpage/collectionexpirypage.cpp
    collectionpage/collectionexpirywidget.cpp
    collectionpage/attributes/expirecollectionattribute.cpp
    collectionpage/collectionexpiryjob.cpp
    collectionpage/collectiontemplateswidget.cpp
    collectionpage/collectionviewwidget.cpp
    collectionpage/collectiongeneralwidget.cpp
    folder/foldersettings.cpp
    folder/foldercollectionmonitor.cpp
    folder/folderrequester.cpp
    folder/folderselectiondialog.cpp
    folder/foldertreeview.cpp
    folder/foldertreewidget.cpp
    folder/foldertreewidgetproxymodel.cpp
    folder/entitycollectionorderproxymodel.cpp
    folder/accountconfigorderdialog.cpp
    folder/favoritecollectionorderproxymodel.cpp
    folder/hierarchicalfoldermatcher.cpp
    job/jobscheduler.cpp
    job/folderjob.cpp
    job/expirejob.cpp
    job/backupjob.cpp
    search/widgethandler/rulewidgethandlermanager.cpp
    search/searchpattern.cpp
    search/searchpatternedit.cpp
    search/widgethandler/encryptionwidgethandler.cpp
    search/widgethandler/textrulerwidgethandler.cpp
    search/widgethandler/statusrulewidgethandler.cpp
    search/widgethandler/messagerulewidgethandler.cpp
    search/widgethandler/tagrulewidgethandler.cpp
    search/widgethandler/numericrulewidgethandler.cpp
    search/widgethandler/daterulewidgethandler.cpp
    search/widgethandler/numericdoublerulewidgethandler.cpp
    search/widgethandler/headersrulerwidgethandler.cpp
    search/searchrule/searchrulenumerical.cpp
    search/searchrule/searchruledate.cpp
    search/searchrule/searchrulestring.cpp
    search/searchrule/searchrulestatus.cpp
    search/searchrule/searchruleencryption.cpp
    search/searchrule/searchrule.cpp
    snippets/snippetdialog.cpp
    snippets/snippetsmanager.cpp
    snippets/snippetsmodel.cpp
    snippets/snippetvariabledialog.cpp
    snippets/snippettreeview.cpp
    snippets/snippetwidget.cpp
    snippets/snippetattachmentwidget.cpp
    snippets/snippetselectattachmentwidget.cpp
    snippets/snippetselectattachmentdialog.cpp
    snippets/snippetcustomfileattachmentnamewidget.cpp
    snippets/snippetcustomfileattachmentnamedialog.cpp
    tag/tagwidget.cpp
    tag/tag.cpp
    tag/addtagdialog.cpp
    widgets/redirectdialog.cpp
    widgets/redirectwidget.cpp
    widgets/favoritecollectionwidget.cpp
    mdn/sendmdnhandler.cpp
    mdn/mdnstateattribute.cpp
    mdn/mdnadvicehelper.cpp
    util/cryptoutils.cpp
    util/mailutil.cpp
    util/resourcereadconfigfile.cpp
    ${libmailcommon_SRCS}
    kernel/mailkernel.cpp
    job/folderjob.h
    job/expirejob.h
    job/jobscheduler.h
    job/backupjob.h
    filter/filterselectiondialog.h
    filter/kmfilteraccountlist.h
    filter/filterlog.h
    filter/mdnadvicedialog.h
    filter/dialog/filteractionmissingidentitydialog.h
    filter/dialog/filteractionmissingtemplatedialog.h
    filter/dialog/filteractionmissingaccountdialog.h
    filter/dialog/filteractionmissingtransportdialog.h
    filter/dialog/filteractionmissingfolderdialog.h
    filter/dialog/selectthunderbirdfilterfilesdialog.h
    filter/dialog/filteractionmissingsoundurldialog.h
    filter/dialog/filteractionmissingtagdialog.h
    filter/dialog/selectthunderbirdfilterfileswidget.h
    filter/invalidfilters/invalidfilterinfo.h
    filter/invalidfilters/invalidfilterlistitemdelegate.h
    filter/invalidfilters/invalidfilterlistmodel.h
    filter/invalidfilters/invalidfilterinfowidget.h
    filter/invalidfilters/invalidfilterdialog.h
    filter/invalidfilters/invalidfilterlistview.h
    filter/invalidfilters/invalidfilterwidget.h
    filter/kmfilterdialog.h
    filter/filtermanager.h
    filter/filterimporter/filterimportersylpheed.h
    filter/filterimporter/filterimportergmail.h
    filter/filterimporter/filterimporterprocmail.h
    filter/filterimporter/filterimporterabstract.h
    filter/filterimporter/filterimporterclawsmail.h
    filter/filterimporter/filterimporterthunderbird.h
    filter/filterimporter/filterimporterbalsa.h
    filter/filterimporter/filterimporterevolution.h
    filter/kmfilterlistbox.h
    filter/filterimporterpathcache.h
    filter/mailfilter.h
    filter/filteractions/filteractionexec.h
    filter/filteractions/filteractionstatus.h
    filter/filteractions/filteractionredirect.h
    filter/filteractions/filteractionwithaddress.h
    filter/filteractions/filteractionunsetstatus.h
    filter/filteractions/filteractiondict.h
    filter/filteractions/filteractionwithstring.h
    filter/filteractions/filteractionsettransport.h
    filter/filteractions/filteractionaddtag.h
    filter/filteractions/filteractionaddtoaddressbook.h
    filter/filteractions/filteractionwithcrypto.h
    filter/filteractions/filteractionreplyto.h
    filter/filteractions/filteractionwithnone.h
    filter/filteractions/filteractionwithurl.h
    filter/filteractions/filteractionpipethrough.h
    filter/filteractions/filteractiondelete.h
    filter/filteractions/filteractionwithtest.h
    filter/filteractions/filteractionwithuoid.h
    filter/filteractions/filteractionplaysound.h
    filter/filteractions/filteractionsetstatus.h
    filter/filteractions/filteractionwithstringlist.h
    filter/filteractions/filteraction.h
    filter/filteractions/filteractionsendreceipt.h
    filter/filteractions/filteractionsendfakedisposition.h
    filter/filteractions/filteractionremoveheader.h
    filter/filteractions/filteractioncopy.h
    filter/filteractions/filteractionsetidentity.h
    filter/filteractions/filteractiondecrypt.h
    filter/filteractions/filteractionencrypt.h
    filter/filteractions/filteractionmove.h
    filter/filteractions/filteractionforward.h
    filter/filteractions/filteractionwidget.h
    filter/filteractions/filteractionrewriteheader.h
    filter/filteractions/filteractionwithfolder.h
    filter/filteractions/filteractionaddheader.h
    filter/filteractions/filteractionwithcommand.h
    filter/itemcontext.h
    filter/filterimporterexporter.h
    filter/soundtestwidget.h
    filter/filterconverter/filterconverttosievepurposemenuwidget.h
    filter/filterconverter/filterconverttosieve.h
    filter/filterconverter/filterconverttosieveresultdialog.h
    search/widgethandler/textrulerwidgethandler.h
    search/widgethandler/rulewidgethandlermanager.h
    search/widgethandler/daterulewidgethandler.h
    search/widgethandler/encryptionwidgethandler.h
    search/widgethandler/numericdoublerulewidgethandler.h
    search/widgethandler/tagrulewidgethandler.h
    search/widgethandler/headersrulerwidgethandler.h
    search/widgethandler/messagerulewidgethandler.h

=== src/filter/autotests/CMakeLists.txt ===
set(mailcommon_filter_test_LIBS Qt::Test Qt::Gui KF5::AkonadiCore KF5::AkonadiMime
                                KF5::MailCommon KF5::PimCommon Phonon::phonon4qt5
                                KF5::KIOWidgets KF5::IconThemes KF5::TemplateParser
                                KF5::MailTransport KF5::I18n KF5::SyntaxHighlighting
)

if (KF5_USE_PURPOSE)
    set(mailcommon_filter_test_LIBS ${mailcommon_filter_test_LIBS} KF5::Purpose KF5::PurposeWidgets)
endif()

add_definitions(-DTEST_PATH=\"${CMAKE_CURRENT_SOURCE_DIR}\")

macro(add_mailcommon_filter_test _name)
    ecm_add_test(${ARGN}
        TEST_NAME ${_name}
        NAME_PREFIX "mailcommon-filter-"
        LINK_LIBRARIES ${mailcommon_filter_test_LIBS}
    )
endmacro()

macro(add_mailcommon_filter_akonadi_test _name _sources)
    set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})
    add_akonadi_isolated_test_advanced(${_name} "${ARGN}" "${mailcommon_filter_test_LIBS}")
endmacro()

set(filter_common_SRCS)
ecm_qt_declare_logging_category(filter_common_SRCS HEADER mailcommon_debug.h IDENTIFIER MAILCOMMON_LOG CATEGORY_NAME org.kde.pim.mailcommon)

add_mailcommon_filter_test(itemcontexttest
    itemcontexttest.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionpipethroughtest
   filteractionpipethroughtest.cpp
   ../filteractions/filteractionpipethrough.cpp
   ../filteractions/filteractionwithcommand.cpp
   ../filteractions/filteractionwithurl.cpp
   ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionheadertest
    filteractionaddheadertest.cpp
    ../filteractions/filteractionaddheader.cpp
    ../filteractions/filteractionwithstringlist.cpp
    ../filteractions/filteractionwithstring.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractiondeletetest
    filteractiondeletetest.cpp
    ../filteractions/filteractiondelete.cpp
    ../filteractions/filteractionwithnone.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionencrypttest
    filteractionencrypttest.cpp
    gpghelper.cpp
    ../filteractions/filteractionencrypt.cpp
    ../filteractions/filteractionwithcrypto.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractiondecrypttest
    filteractiondecrypttest.cpp
    gpghelper.cpp
    ../filteractions/filteractiondecrypt.cpp
    ../filteractions/filteractionwithcrypto.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionrewriteheadertest
    filteractionrewriteheadertest.cpp
    ../filteractions/filteractionrewriteheader.cpp
    ../filteractions/filteractionwithstringlist.cpp
    ../filteractions/filteractionwithstring.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionsetstatustest
    filteractionsetstatustest.cpp
    ../filteractions/filteractionsetstatus.cpp
    ../filteractions/filteractionstatus.cpp
    ../filteractions/filteractionwithstringlist.cpp
    ../filteractions/filteractionwithstring.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionreplytotest
    filteractionreplytotest.cpp
    ../filteractions/filteractionreplyto.cpp
    ../filteractions/filteractionwithaddress.cpp
    ../filteractions/filteractionwithstring.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionwithurltest
    filteractionwithurltest.cpp
    ../filteractions/filteractionwithurl.cpp
    ../filteractions/filteractionwithaddress.cpp
    ../filteractions/filteractionwithstring.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionremoveheadertest
    filteractionremoveheadertest.cpp
    ../filteractions/filteractionremoveheader.cpp
    ../filteractions/filteractionwithstringlist.cpp
    ../filteractions/filteractionwithstring.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionwithaddresstest
    filteractionwithaddresstest.cpp
    ../filteractions/filteractionwithaddress.cpp
    ../filteractions/filteractionwithstring.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_akonadi_test(filteractionaddtoaddressbooktest.cpp
    filteractionaddtoaddressbooktest.cpp
    ../filteractions/filteractionaddtoaddressbook.cpp
    ../filteractions/filteractionwithstringlist.cpp
    ../filteractions/filteractionwithstring.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionplaysoundtest
    filteractionplaysoundtest.cpp
    ../filteractions/filteractionplaysound.cpp
    ../filteractions/filteractionwithtest.cpp
    ../filteractions/filteractionplaysound.cpp
    ../soundtestwidget.cpp
    ../dialog/filteractionmissingsoundurldialog.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(invalidfilterdialogtest
    invalidfilterdialogtest.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(invalidfilterwidgettest
    invalidfilterwidgettest.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(invalidfilterlistwidgettest
    invalidfilterlistwidgettest.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionunsetstatustest
    filteractionunsetstatustest.cpp
    ../filteractions/filteractionunsetstatus.cpp
    ../filteractions/filteractionstatus.cpp
    ../filteractions/filteractionwithstringlist.cpp
    ../filteractions/filteractionwithstring.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionredirecttest
    filteractionredirecttest.cpp
    ../filteractions/filteractionredirect.cpp
    ../filteractions/filteractionwithaddress.cpp
    ../filteractions/filteractionwithstring.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(invalidfilterinfotest
    invalidfilterinfotest.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionsendfakedispositiontest
    filteractionsendfakedispositiontest.cpp
    ../filteractions/filteractionsendfakedisposition.cpp
    ../filteractions/filteractionwithstringlist.cpp
    ../filteractions/filteractionwithstring.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionforwardtest
    filteractionforwardtest.cpp
    ../filteractions/filteractionforward.cpp
    ../filteractions/filteractionwithaddress.cpp
    ../filteractions/filteractionwithstring.cpp
    ../dialog/filteractionmissingtemplatedialog.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(invalidfilterinfowidgettest
    invalidfilterinfowidgettest.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractioncopytest
    filteractioncopytest.cpp
    ../filteractions/filteractioncopy.cpp
    ../filteractions/filteractionwithfolder.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionmovetest
    filteractionmovetest.cpp
    ../filteractions/filteractionmove.cpp
    ../filteractions/filteractionwithfolder.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionexectest
    filteractionexectest.cpp
    ../filteractions/filteractionexec.cpp
    ../filteractions/filteractionwithcommand.cpp
    ../filteractions/filteractionwithurl.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionsendreceipttest
    filteractionsendreceipttest.cpp
    ../filteractions/filteractionsendreceipt.cpp
    ../filteractions/filteractionwithnone.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionsettransporttest
    filteractionsettransporttest.cpp
    ../filteractions/filteractionsettransport.cpp
    ../dialog/filteractionmissingtransportdialog.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filterconverttosieveresultdialog
    filterconverttosieveresultdialogtest.cpp
    ../filterconverter/filterconverttosieveresultdialog.cpp
    ../filterconverter/filterconverttosievepurposemenuwidget.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(mailfiltertest
    mailfiltertest.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionmissingsoundurldialogtest
    filteractionmissingsoundurldialogtest.cpp
    ../dialog/filteractionmissingsoundurldialog.cpp
    )

add_mailcommon_filter_test(filteractionmissingtemplatedialogtest
    filteractionmissingtemplatedialogtest.cpp
    ../dialog/filteractionmissingtemplatedialog.cpp
    )

add_mailcommon_filter_test(filteractionmissingtransportdialogtest
    filteractionmissingtransportdialogtest.cpp
    ../dialog/filteractionmissingtransportdialog.cpp
    )

add_mailcommon_filter_test(filteractionmissingaccountdialogtest
    filteractionmissingaccountdialogtest.cpp
    ../dialog/filteractionmissingaccountdialog.cpp
    )

add_mailcommon_filter_test(filteractionmissingtagdialogtest
    filteractionmissingtagdialogtest.cpp
    ../dialog/filteractionmissingtagdialog.cpp
    )

add_mailcommon_filter_test(filteractionmissingidentitydialogtest
    filteractionmissingidentitydialogtest.cpp
    ../dialog/filteractionmissingidentitydialog.cpp
    ../../../autotests/dummykernel.cpp
    )

add_mailcommon_filter_test(filterimporterpathcachetest
    filterimporterpathcachetest.cpp
    )

=== src/snippets/autotests/CMakeLists.txt ===
ecm_add_test(snippetsmanagertest.cpp
    NAME_PREFIX "mailcommon-snippets-"
    LINK_LIBRARIES Qt::Test Qt::Gui KF5::MailCommon KF5::XmlGui
)

ecm_add_test(snippetwidgettest.cpp
    NAME_PREFIX "mailcommon-snippets-"
    LINK_LIBRARIES Qt::Test Qt::Gui KF5::MailCommon KF5::XmlGui
)

ecm_add_test(snippetattachmentwidgettest.cpp
    NAME_PREFIX "mailcommon-snippets-"
    LINK_LIBRARIES Qt::Test Qt::Gui KF5::MailCommon
)

ecm_add_test(snippetselectattachmentwidgettest.cpp
    NAME_PREFIX "mailcommon-snippets-"
    LINK_LIBRARIES Qt::Test Qt::Gui KF5::MailCommon
)

ecm_add_test(snippetselectattachmentdialogtest.cpp
    NAME_PREFIX "mailcommon-snippets-"
    LINK_LIBRARIES Qt::Test Qt::Gui KF5::MailCommon
)

ecm_add_test(snippetcustomfileattachmentnamedialogtest.cpp
    NAME_PREFIX "mailcommon-snippets-"
    LINK_LIBRARIES Qt::Test Qt::Gui KF5::MailCommon
)

ecm_add_test(snippetcustomfileattachmentnamewidgettest.cpp
    NAME_PREFIX "mailcommon-snippets-"
    LINK_LIBRARIES Qt::Test Qt::Gui KF5::MailCommon
)

=== src/filter/filterimporter/autotests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )
add_akonadi_isolated_test_advanced(filterimportclawmailtest.cpp filtertestkernel.cpp "KF5::MailCommon;KF5::MessageComposer;KF5::I18n")
add_akonadi_isolated_test_advanced(filterimportthunderbirdtest.cpp filtertestkernel.cpp "KF5::MailCommon;KF5::MessageComposer;KF5::I18n")
add_akonadi_isolated_test_advanced(filterimportbalsatest.cpp filtertestkernel.cpp "KF5::MailCommon;KF5::MessageComposer;KF5::I18n")
add_akonadi_isolated_test_advanced(filterimportevolutiontest.cpp filtertestkernel.cpp "KF5::MailCommon;KF5::MessageComposer;KF5::I18n")
add_akonadi_isolated_test_advanced(filterimportprocmailtest.cpp filtertestkernel.cpp "KF5::MailCommon;KF5::MessageComposer;KF5::I18n")
add_akonadi_isolated_test_advanced(filterimportsylpheedtest.cpp filtertestkernel.cpp "KF5::MailCommon;KF5::MessageComposer;KF5::I18n")
add_akonadi_isolated_test_advanced(filterimportergmailtest.cpp filtertestkernel.cpp "KF5::MailCommon;KF5::MessageComposer;KF5::I18n")

=== debian/changelog ===
libkf5mailcommon (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:19:01 +0000

libkf5mailcommon (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update debian/watch
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:25:36 +0000

libkf5mailcommon (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:33:25 +0000

libkf5mailcommon (4:21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:30:30 +0000

libkf5mailcommon (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:25:49 +0000

libkf5mailcommon (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)
  * Refresh enable_debianabimanager.diff
  * Update symbols.
  * Update lintian.

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 23:32:24 +0000

libkf5mailcommon (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:48:04 +0000

=== debian/control ===
Source: libkf5mailcommon
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.31.0~),
               libgpgme-dev,
               libgpgmepp-dev (>= 1.7.1~),
               libkf5akonadi-dev (>= 4:21.12.3~),
               libkf5akonadimime-dev (>= 4:21.12.3~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:21.12.3~),
               libkf5grantleetheme-dev (>= 21.12.3~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5ldap-dev (>= 21.12.3~),
               libkf5libkdepim-dev (>= 4:21.12.3~),
               libkf5mailimporter-dev (>= 4:21.12.3~),
               libkf5mailtransport-dev (>= 21.12.3~),
               libkf5messagecomposer-dev (>= 4:21.12.3~),
               libkf5messagecore-dev (>= 4:21.12.3~),
               libkf5messagelist-dev (>= 4:21.12.3~),
               libkf5messageviewer-dev (>= 4:21.12.3~),
               libkf5mime-dev (>= 21.12.3~),
               libkf5mimetreeparser-dev (>= 4:21.12.3~),
               libkf5pimcommon-dev (>= 4:21.12.3~),
               libkf5syntaxhighlighting-dev (>= 5.31.0~),
               libkf5templateparser-dev (>= 4:21.12.3~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               xsltproc,
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mailcommon
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mailcommon

Package: libkf5mailcommon-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:21.12.3~),
         libkf5akonadimime-dev (>= 4:21.12.3~),
         libkf5config-dev (>= 5.31.0~),
         libkf5libkdepim-dev (>= 4:21.12.3~),
         libkf5mailcommon5abi4 (= ${binary:Version}),
         libkf5messagecomposer-dev (>= 4:21.12.3~),
         libkf5messagecore-dev (>= 4:21.12.3~),
         libkf5messageviewer-dev (>= 4:21.12.3~),
         libkf5mimetreeparser-dev (>= 4:21.12.3~),
         libkf5pimcommon-dev (>= 4:21.12.3~),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM email utility library, devel files
 The mail common library provides utility functions for dealing with email.
 .
 This package contains the development files needed for the KDE PIM mail common
 library.
 .
 This package is part of KDE PIM module.

Package: libkf5mailcommon-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: KDE PIM email utility library, plugins
 The mail common library provides utility functions for dealing with email.
 .
 This package contains the plugins distributed with the library.
 .
 This package is part of KDE PIM module.

Package: libkf5mailcommon5abi4
X-Debian-ABI: 4
X-CMake-Target: KF5MailCommon
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE PIM email utility library
 The mail common library provides utility functions for dealing with email.
 .
 This package is part of KDE PIM module.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/release-service/([\d.]+)/src/mailcommon-([\d.]+)\.tar\.xz

## libkf5mailcommon 22.08.1

=== debian/changelog ===
libkf5mailcommon (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:48:07 +0100

libkf5mailcommon (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)
  * Build depend on libkf5webengineviewer-dev
  * Update symbols.
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:57:17 +0100

libkf5mailcommon (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:35:21 +0100

libkf5mailcommon (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:10:02 +0100

libkf5mailcommon (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:09:15 +0100

libkf5mailcommon (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Update install files.
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:56:33 +0100

=== debian/control ===
--- 
+++ 
@@ -9,28 +9,29 @@
                extra-cmake-modules (>= 5.31.0~),
                libgpgme-dev,
                libgpgmepp-dev (>= 1.7.1~),
-               libkf5akonadi-dev (>= 4:21.12.3~),
-               libkf5akonadimime-dev (>= 4:21.12.3~),
+               libkf5akonadi-dev (>= 4:22.08.1~),
+               libkf5akonadimime-dev (>= 4:22.08.1~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:21.12.3~),
-               libkf5grantleetheme-dev (>= 21.12.3~),
+               libkf5contacteditor-dev (>= 4:22.08.1~),
+               libkf5grantleetheme-dev (>= 22.08.1~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
-               libkf5ldap-dev (>= 21.12.3~),
-               libkf5libkdepim-dev (>= 4:21.12.3~),
-               libkf5mailimporter-dev (>= 4:21.12.3~),
-               libkf5mailtransport-dev (>= 21.12.3~),
-               libkf5messagecomposer-dev (>= 4:21.12.3~),
-               libkf5messagecore-dev (>= 4:21.12.3~),
-               libkf5messagelist-dev (>= 4:21.12.3~),
-               libkf5messageviewer-dev (>= 4:21.12.3~),
-               libkf5mime-dev (>= 21.12.3~),
-               libkf5mimetreeparser-dev (>= 4:21.12.3~),
-               libkf5pimcommon-dev (>= 4:21.12.3~),
+               libkf5ldap-dev (>= 22.08.1~),
+               libkf5libkdepim-dev (>= 4:22.08.1~),
+               libkf5mailimporter-dev (>= 4:22.08.1~),
+               libkf5mailtransport-dev (>= 22.08.1~),
+               libkf5messagecomposer-dev (>= 4:22.08.1~),
+               libkf5messagecore-dev (>= 4:22.08.1~),
+               libkf5messagelist-dev (>= 4:22.08.1~),
+               libkf5messageviewer-dev (>= 4:22.08.1~),
+               libkf5mime-dev (>= 22.08.1~),
+               libkf5mimetreeparser-dev (>= 4:22.08.1~),
+               libkf5pimcommon-dev (>= 4:22.08.1~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:21.12.3~),
+               libkf5templateparser-dev (>= 4:22.08.1~),
+               libkf5webengineviewer-dev (>= 4:22.08.1~),
                libkf5windowsystem-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
                libphonon4qt5-dev,
@@ -48,16 +49,16 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:21.12.3~),
-         libkf5akonadimime-dev (>= 4:21.12.3~),
+Depends: libkf5akonadi-dev (>= 4:22.08.1~),
+         libkf5akonadimime-dev (>= 4:22.08.1~),
          libkf5config-dev (>= 5.31.0~),
-         libkf5libkdepim-dev (>= 4:21.12.3~),
+         libkf5libkdepim-dev (>= 4:22.08.1~),
          libkf5mailcommon5abi4 (= ${binary:Version}),
-         libkf5messagecomposer-dev (>= 4:21.12.3~),
-         libkf5messagecore-dev (>= 4:21.12.3~),
-         libkf5messageviewer-dev (>= 4:21.12.3~),
-         libkf5mimetreeparser-dev (>= 4:21.12.3~),
-         libkf5pimcommon-dev (>= 4:21.12.3~),
+         libkf5messagecomposer-dev (>= 4:22.08.1~),
+         libkf5messagecore-dev (>= 4:22.08.1~),
+         libkf5messageviewer-dev (>= 4:22.08.1~),
+         libkf5mimetreeparser-dev (>= 4:22.08.1~),
+         libkf5pimcommon-dev (>= 4:22.08.1~),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},
          ${shlibs:Depends},
